package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeacherSalaryConfirmStatus;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2020/4/15
 */
public class CourseTeacherSalaryStatisticsDto {

    private GroupType groupType;

    private String statType;

    private String month;

    private Integer courseTimes;

    private BigDecimal totalActualSalary;

    private BigDecimal totalReduceSalary;

    private TeacherSalaryConfirmStatus confirmStatus;

    public TeacherSalaryConfirmStatus getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(TeacherSalaryConfirmStatus confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public String getStatType() {
        return statType;
    }

    public void setStatType(String statType) {
        this.statType = statType;
    }

    public Integer getCourseTimes() {
        return courseTimes;
    }

    public void setCourseTimes(Integer courseTimes) {
        this.courseTimes = courseTimes;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public BigDecimal getTotalActualSalary() {
        return totalActualSalary;
    }

    public void setTotalActualSalary(BigDecimal totalActualSalary) {
        this.totalActualSalary = totalActualSalary;
    }

    public BigDecimal getTotalReduceSalary() {
        return totalReduceSalary;
    }

    public void setTotalReduceSalary(BigDecimal totalReduceSalary) {
        this.totalReduceSalary = totalReduceSalary;
    }
}
